{--------------------------------------------------------}
{                 mdulo de mensagens
{--------------------------------------------------------}

unit brmsg;
interface
uses dvCrt, dvWin, windows, sysutils;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);

implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    s := '';

    if nomeArq = 'BRCNFERR' then
        s := 'Arquivo de configurao inexistente, programa cancelado'
    else
    if nomeArq = 'BRERRLIN' then
        s := 'Erro no arquivo de configurao na linha '
    else
    if nomeArq = 'BRERRBRL' then
        s := 'Erro no arquivo BRAILLE.AMB perto da linha '
    else
    if nomeArq = 'BRLPPAG' then
        s := 'Quantas linhas por pgina (0 para no paginar) ? '
    else
    if nomeArq = 'BRCPLIN' then
        s := 'Quantos caracteres por linha ? '
    else
    if nomeArq = 'BRDOEDIT' then
        s := 'Texto foi digitado no EDIT do DOS ? '
    else
    if nomeArq = 'BRAUTOJU' then
        s := 'Deseja auto-reformatao para Braille (s/n) ? '
    else
    if nomeArq = 'BRFREVER' then
        s := 'Frente e verso (s/n) ? '
    else
    if nomeArq = 'BRNUMINI' then
        s := 'Nmero a imprimir na pgina inicial: '
    else
    if nomeArq = 'BRFAZTIT' then
        s := 'Deseja ttulos e numerao (s/n) ? '
    else
    if nomeArq = 'BRNCOP' then
        s := 'Quantas cpias ? '
    else
    if nomeArq = 'BRPAGINI' then
        s := 'Pgina inicial (sugiro 1): '
    else
    if nomeArq = 'BRPAGFIN' then
        s := 'Pgina final (sugiro 9999): '

    else
    if nomeArq = 'BRINTRO' then
        s := 'Programa de impresso Braille - v '
    else
    if nomeArq = 'BRNOMARQ' then
        s := 'Digite o nome do arquivo a imprimir: '
    else
    if nomeArq = 'BRARQNAO' then
        s := 'Arquivo no foi achado'
    else
    if nomeArq = 'BRERRCRI' then
        s := 'Erro ao criar arquivo de impresso.  Programa cancelado.'
    else
    if nomeArq = 'BRTIT' then
        s := 'Informe o ttulo:'
    else
    if nomeArq = 'BRPADRAO' then
        s := 'Assumo valores padro (s/n) ? '
    else
    if nomeArq = 'BRFIMCOP' then
        s := 'Fim de impresso da copia '
    else
    if nomeArq = 'BRFIMTRA' then
        s := 'Fim de trabalho'
    else
    if nomeArq = 'BRERRLEI' then
        s := 'Erro de leitura do arquivo'
    else
    if nomearq = 'BRFAZTIT' then
        s := 'Deseja titulos e/ou numerao ? '
    else
    if nomearq = 'BRTITFV' then
        s := 'Ttulo em ambos os lados ? '
    else
    if nomearq = 'BRNUMORG' then
        s := 'Indica numerao do texto original no cabealho ? '
    else
    if nomearq = 'BRAFASTA' then
        s := 'Afasta para a direita os cabealhos pares ? '
    else
    if nomearq = 'BRLINDIV' then
        s := 'Linhas grandes foram divididas'
    else
    if nomearq = 'BRERRLEI' then
        s := 'Erro de leitura do arquivo'
    else
    if nomearq = 'BRERRESC' then
        s := 'Erro de escrita no dispositivo de impresso'
    else
    if nomearq = 'BRESCCAN' then
        s := 'ENTER continua, ESC cancela'
    else
    if nomearq = 'BRSEPARA' then
        s := 'Separa slabas ao fim da linha ? '
    else
    if nomearq = 'BRINGLES' then
        s := 'Maisculas e grifo estilo ingls ? '

    else
    if nomeArq = 'BRARQIMP' then
        s := 'Arquivo ou dispositivo de saida (sugiro LPT1): '
    else
    if nomearq = 'BRGRFNAO' then
        s := 'Arquivo grfico no foi achado'
    else
    if nomeArq = 'BRANTIGO' then
        s := 'Usa Braille antigo: '
    else
    if nomeArq = 'BRCNFDEF' then
        s := 'Use a configurao avanada do Dosvox para mudar definitivamente.'
    else
    if nomeArq = 'BRCNFDF2' then
        s := 'Para configurar, edite ali a seo BRAIVOX.'
    else
    if nomeArq = 'BRIMPCAN' then
        s := 'Impresso cancelada.'
    else

        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

end.
