{--------------------------------------------------------}
{
{    Programa de impressao do DOSVOX
{
{    Modulo de mensagens
{
{    Autor: Jose' Antonio Borges
{
{    Em marco/96
{
{--------------------------------------------------------}

unit impmsg;
interface
uses  DVcrt, DVWin,
     impvars;

procedure mensagem (nomeArq: string; nlf: integer);

implementation

{--------------------------------------------------------}
{                 fala uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var
    s: string;
    i: integer;
begin
    if nomeArq = 'IMINIC' then
        s := 'Programa de impresso formatada - v'
    else
    if nomeArq = 'IMNOMARQ' then
        s := 'Digite o nome do arquivo a imprimir: '
    else
    if nomeArq = 'IMARQNAO' then
        s := 'Arquivo no foi achado'
    else
    if nomeArq = 'IMERRCRI' then
        s := 'Erro ao criar arquivo.'
    else
    if nomeArq = 'IMHABITU' then
        s := 'Posso usar a configurao habitual ? '
    else
    if nomeArq = 'IMTAMFON' then
        s := 'Tamanho da fonte a usar'
    else
    if nomeArq = 'IMFONROD' then
        s := 'Tamanho da fonte do rodap'
    else
    if nomeArq = 'IMSUGIRO' then
        s := ' (sugiro '
    else
    if nomeArq = 'IMPRILIN' then
        s := 'Primeira linha a imprimir'
    else
    if nomeArq = 'IMULTLIN' then
        s := 'ltima linha a imprimir'
    else
    if nomeArq = 'IMPRICOL' then
        s := 'Primeira coluna a imprimir'
    else
    if nomeArq = 'IMULTCOL' then
        s := 'ltima coluna a imprimir'
    else
    if nomeArq = 'IMAUTFOR' then
        s := 'Posso ajustar automaticamente os pargrafos ? '
    else
    if nomeArq = 'IMSEPSIL' then
        s := 'Separo slabas no final da linha ? '
    else
    if nomeArq = 'IMALIDIR' then
        s := 'Alinho o texto  direita ? '
    else
    if nomeArq = 'IMESPAC' then
        s := 'Qual o espacejamento (1, 2 ou 3) ? '
    else
    if nomeArq = 'IMGUARDA' then
        s := 'Guardo esses valores como novos padres ? '
    else
    if nomeArq = 'IMNCOP' then
        s := 'Quantas cpias ? '
    else
    if nomeArq = 'IMPAGINI' then
        s := 'Pgina inicial a imprimir'
    else
    if nomeArq = 'IMPAGFIN' then
        s := 'Pgina final'
    else
    if nomeArq = 'IMNUMINI' then
        s := 'Nmero a imprimir na pgina inicial'
    else
    if nomeArq = 'IMMUDPAD' then
        s := 'Deseja configurar padres fsicos de impresso ? '
    else
    if nomeArq = 'IMPOSIMP' then
        s := 'Posso imprimir agora ? '
    else
    if nomeArq = 'IMERRLEI' then
        s := 'Erro de leitura no arquivo'
    else
    if nomeArq = 'IMPROCAN' then
        s := 'Programa cancelado'
    else
    if nomeArq = 'IMFIMTRA' then
        s := 'Fim de trabalho'
    else
    if nomeArq = 'IMINTERR' then
        s := 'Deseja cancelar a impresso (s/n) ? '
    else
    if nomeArq = 'IMCONTEU' then
        s := 'Contedo original:'
    else
    if nomeArq = 'IMOPINV' then
        s := 'Opo errada !'
    else
    if nomeArq = 'IMCANC' then
        s := 'Impresso da cpia foi cancelada'
    else
    if nomeArq = 'IMFORINV' then
        s := 'Comando de formato errado: '
    else
    if nomeArq = 'IMINIIMP' then
        s := 'Preparando impressora...'
    else
    if nomeArq = 'IMERRFON' then
        s := 'Erro na configurao da fonte '
    else
    if nomeArq = 'IMPREIMP' then
        s := 'Preparando a impressora'
    else
    if nomeArq = 'IMINIFRM' then
        s := 'Formatando o texto'
    else
    if nomeArq = 'IMIMPR' then
        s := 'Imprimindo'
    else
    if nomeArq = 'IMTRIMPA' then
        s := 'Deseja trocar impressora padro do DOSVOX ? '
    else
    if nomeArq = 'IMSEMIMP' then
        s := 'No existe impressora instalada'
    else
    if nomeArq = 'IMIMEX' then
        s := 'As impressoras existentes so: '
    else
    if nomeArq = 'IMQUDEPA' then
        s := 'Qual impressora voc deseja tornar padro ? '
    else
    if nomeArq = 'IMIMPAAL' then
        s := 'Impressora padro alterada.'
    else
    if nomeArq = 'IMMAIMAT' then
        s := 'Mantida impressora atual'

    else
        begin
            writeln;
            writeln ('-------------------------------');
            writeln ('--- mensagem errada: ', nomearq);
            writeln ('-------------------------------');
            writeln;
            sintBip;
            exit;
        end;

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

end.
