{---------------------------------------------------------------}
{                                                               }
{    Programa de execuo de midias                      }
{                                                               }
{    mdulo de reproduo de udios para legendas              }
{                                                               }
{    Autor: Patrick Barboza                                     }
{                                                               }
{    Cdigo extrado e adaptado do programa dublavox            }
{                                                               }
{    Autores:   Antonio Borges                                  }
{               Fabiano Ferreira                                }
{               Jlio Silveira                                  }
{                                                               }
{                                                               }
{    Em Fevereiro/2024                                          }
{                                                               }
{---------------------------------------------------------------}

unit miAudio;

interface

uses
    sysutils,
    dvCrt,
    dvWav,
    dvWin,
    mmsystem;

function tocandoSom: boolean;
procedure tocaSom (nomeArq: string);
procedure paraSom;

implementation

{--------------------------------------------------------}
function tocandoSom: boolean;
begin
    dvWav.waveIsPlaying;
end;

{--------------------------------------------------------}
procedure paraSom;
begin
    dvWav.waveStop;
end;

{--------------------------------------------------------}
procedure tocaSom (nomeArq: string);
var
    dir:  string;
begin
    if pos (':\', nomeArq) <> 0 then
        wavePlayFile (nomeArq)
    else
        begin
            getDir (0, dir);
            wavePlayFile (dir+'\'+nomeArq);
        end;
end;

begin
    dvWav.keyStopsWave := true;
end.
