{--------------------------------------------------------}
{
{    MIDIAVOX -  Acionador Multimdia
{
{    Mdulo de mensagens
{
{    Autores: Jos Antonio Borges
{             Marcolino Nascimento
{
{    Em Julho/2015
{
{--------------------------------------------------------}

unit mimsg;
interface

uses
    dvcrt, dvWin, dvLenum, dvForm;

procedure mensagem (nomeArq: string; nlf: integer);
function pegaTextoMensagem (nomeArq: string): string;
procedure soletra(s: string; nlf: integer);
procedure limpaBaixo (y: integer);
procedure menuAdiciona (cod: string);
function pergunta (msg: string; npula: integer; cor: integer): char;
procedure msgMuda (nomeArq: string; nlf: integer);

implementation

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
   if      nomeArq = 'MIDIAVOX' then s := 'MIDIAVOX - Verso '
   else if nomeArq = 'MIQOPCAO' then s := 'Selecione a opo com as setas: '
   else if nomeArq = 'MIMENU_A' then s := 'A - Abrir um arquivo multimdia'
   else if nomeArq = 'MIMENU_L' then s := 'L - Abrir uma lista de reproduo'
   else if nomeArq = 'MIMENU_S' then s := 'S - Selecionar um diretrio de mdias'
   else if nomeArq = 'MIMENU_R' then s := 'R - Acionar o reprodutor de CD ou de DVD'
   else if nomeArq = 'MIMENU_T' then s := 'T - Playlist da rea de transferencia'
   else if nomeArq = 'MIMENU_X' then s := 'X - eXecutar a playlist atual'
   else if nomeArq = 'MIMENU_C' then s := 'C - Configuraes do midiavox'

   else if nomeArq = 'MIMODOSIL'    then s := 'Modo Silencioso'
   else if nomeArq = 'MICONFIG'     then s := 'Configurao do midiavox'
   else if nomeArq = 'MIEDCONF'     then s := 'Editore as configuraes, ao final tecle ESC'
   else if nomeArq = 'MICONFSA'     then s := 'Configuraes salvas'

   else if nomeArq = 'MIDESIST' then s := 'Desistiu...'
   else if nomeArq = 'MIFIMMIV' then s := 'Fim do Midiavox.'
   else if nomeArq = 'MICONFIR' then s := 'Confirma o fim do Midiavox? '

   else if nomeArq = 'MINARQLR' then s := 'Informe o nome do arquivo .m3u: '
   else if nomeArq = 'MIM3UNEC' then s := 'Nenhum arquivo .m3u foi selecionado.'

   else if nomeArq = 'MINARQMM' then s := 'Informe o nome do arquivo: '
   else if nomeArq = 'MIMMNENC' then s := 'Nenhum arquivo multimdia foi selecionado.'

   else if nomeArq = 'MINMEDIR' then s := 'Informe o diretrio: '  
   else if nomeArq = 'MIDIRNFE' then s := 'O diretrio no existe.'

   else if nomeArq = 'MILOADMM' then s := ' Arquivo carregado. '
   else if nomeArq = 'MILOADPL' then s := ' Playlist carregada.'
   else if nomeArq = 'MITOTMID' then s := 'Total de mdias: '
   else if nomeArq = 'MILOADCD' then s := 'Carregado'
   else if nomeArq = 'MITOCAND' then s := 'Tocando'
   else if nomeArq = 'MIPAUSAD' then s := 'Pausado'
   else if nomeArq = 'MIPARADO' then s := 'Parado'
   else if nomeArq = 'MIREPET'  then s := 'Repetir'
   else if nomeArq = 'MINREPET' then s := 'No repetir'

   else if nomeArq = 'MIERPLAY' then s := 'Erro ao tocar '
   else if nomeArq = 'MIEROPEN' then s := 'Erro ao abrir '

   else if nomeArq = 'MIREPRPL' then s := 'Reproduzindo a lista: '
   else if nomeArq = 'MIEABRIR' then s := 'Erro ao abrir a lista de reproduo.'
   else if nomeArq = 'MIERRARQ' then s := 'Arquivo no pode ser carregado.'
   else if nomeArq = 'MIERLOAD' then s := 'Lista de reproduo est vazia.'
   else if nomeArq = 'MIERRARM' then s := 'Mdia no pode ser encontrada.'
   else if nomeArq = 'MIFIMRPL' then s := 'Execuo interrompida'

   else if nomeArq = 'MIOPCSMM'         then s := 'As opes so:'
   else if nomeArq = 'MI_PL_EXECUTAR'   then s := 'ENTER - Executar a lista'
   else if nomeArq = 'MI_PL_ALEATORIO'  then s := 'Control Enter - Execuo Aleatria' 
   else if nomeArq = 'MI_PL_ADICIONAR'  then s := '  A - Adicionar mdia  lista'
   else if nomeArq = 'MI_PL_REMOVER'    then s := '  R - Remover mdia'
   else if nomeArq = 'MI_PL_GRAVAR'     then s := '  G - Gravar lista'
   else if nomeArq = 'MI_PL_TROCADIR'   then s := '  T - Trocar diretrio'
   else if nomeArq = 'MI_PL_PARAR'      then s := 'ESC - Terminar'

   else if nomeArq = 'MI_MM_TOCAR'      then s := '    T  - Tocar mdia do incio'
   else if nomeArq = 'MI_MM_PAUSAR'     then s := '    P  - Pausar mdia'
   else if nomeArq = 'MI_MM_REPETIR'    then s := '    R  - Repetir ou no a mdia atual'
   else if nomeArq = 'MI_MM_EXIBIR'     then s := '    L  - Exibir lista de reproduo'
   else if nomeArq = 'MI_MM_INFORMA'    then s := '    I  - Informaes de tempo e durao'
   else if nomeArq = 'MI_MM_ANTERIOR'   then s := '   CIMA  - Mdia anterior'
   else if nomeArq = 'MI_MM_AVANCAR'    then s := '   BAIXO - Prxima mdia'
   else if nomeArq = 'MI_MM_AUMDIMVOL'  then s := ' ''+''/''-'' - Ajusta volume'

   else if nomeArq = 'MI_MM_AUMENTAVOL' then s := '   ''+''   - Aumenta volume'
   else if nomeArq = 'MI_MM_DIMINUIVOL' then s := '   ''-''   - Diminui volume'

   else if nomeArq = 'MI_MM_FINALIZAR'  then s := '    F    - Interromper execuo'
   else if nomeArq = 'MI_MM_FIMMIDIA'  then s := '    END    - Ir para o final da mdia'

   else if nomeArq = 'MI_CTLEXE'        then s := 'Controles de execuo:'
   else if nomeArq = 'MI_ESPACO'        then s := '    Espao     - Pausa/retoma reproduo'
   else if nomeArq = 'MI_INFORMA'       then s := '    I          - Informa tempo/durao'
   else if nomeArq = 'MI_DIRESQ'        then s := '    DIR/ESQ    - Avana/Recua'
   else if nomeArq = 'MI_CIMBAI'        then s := '    CIMA/BAIXO - Mdia anterior/seguinte'
   else if nomeArq = 'MI_MAIMEN'        then s := '    ''+''/''-''    - Aumenta/Diminui volume'
   else if nomeArq = 'MI_TAB'           then s := '    Tab        - Salta para frente '
   else if nomeArq = 'MI_SHTAB'         then s := '    Shift+Tab  - Salta para trs'

   else if nomeArq = 'MI_CD_ABRIR'     then s := 'E - abre gaveta do CD'
   else if nomeArq = 'MI_CD_FECHA'     then s := 'F - fecha gaveta do CD'
   else if nomeArq = 'MI_CD_LIGAR'     then s := 'L - Liga o CD-Player'
   else if nomeArq = 'MI_CD_DESLI'     then s := 'D - Desliga o CD-Player'
   else if nomeArq = 'MI_CD_SOBRE'     then s := 'I - Informaes sobre a trilha'
   else if nomeArq = 'MI_CD_REPET'     then s := 'R - Repetir trilha'
   else if nomeArq = 'MI_CD_VOLTA'     then s := 'CIMA - Volta trilha'
   else if nomeArq = 'MI_CD_AVANC'     then s := 'BAIXO - Avana trilha'
   else if nomeArq = 'MI_CD_ESCOL'     then s := 'F5 - escolher trilha'

   else if nomeArq = 'MIPORTAA' then s := 'A porta est aberta'
   else if nomeArq = 'MINUMTLH' then s := 'Nmero de trilhas: '
   else if nomeArq = 'MITATUAL' then s := 'Trilha corrente: '
   else if nomeArq = 'MIDURACA' then s := 'Durao: '
   else if nomeArq = 'MINTRACK' then s := 'Informe o nmero da trilha : '
   else if nomeArq = 'MINAOACH' then s := 'O CD-Player no est preparado.'
   else if nomeArq = 'MI_TRACK' then s := 'Trilha '

   else if nomeArq = 'MISELECM' then s := 'Escolha a mdia e tecle sua opo. F9 mostra menu.'
   else if nomeArq = 'MISELECD' then s := 'Seta para direita executa parte da mdia.'

   else if nomeArq = 'MIAJU001' then s := 'As principais opes do MIDIAVOX so:'
   else if nomeArq = 'MIAJU002' then s := '    A tecla ESC  sempre usada para cancelar'
   else if nomeArq = 'MIAJU003' then s := '    Use as setas para selecionar ou conhecer todas as opes'

   else if nomeArq = 'MISELTAG' then s := 'Qual marcador a apagar? '

   else if nomeArq = 'MI_NOMEM3U'  then s := 'Entre com o nome do arquivo .m3u a gravar: '
   else if nomeArq = 'MI_DESIST'   then s := 'Desistiu.'
   else if nomeArq = 'MI_SOBRESC'  then s := 'Sobrescreve arquivo j existente? (S/N) '
   else if nomeArq = 'MI_OK'       then s := 'OK'
   else if nomeArq = 'MI_NAOGRAV'  then s := 'No consegui gravar.'

   else if nomeArq = 'MINOMDIR'    then s := 'Informe o diretrio:'
   else if nomeArq = 'MIINVAL'     then s := 'Invlido'

   // informaes
   else if nomeArq = 'MIINFONO'  then s := 'Nome do arquivo: '
   else if nomeArq = 'MIINFOSI'  then s := 'Tamanho do arquivo: '
   else if nomeArq = 'MIERRPRO'  then s := 'Arquivo est protegido para regravao'
   else if nomeArq = 'MIINFODT'  then s := 'Data de criao: '
   else if nomeArq = 'MIINFOCT'  then s := 'Contedo: '
   else if nomeArq = 'MIERRDSC'  then s := 'Desconhecido: '   
   // informaes sobre wav
   else if nomeArq = 'MIERRMP3'  then s := 'Arquivo no  um WAV legtimo'
   else if nomeArq = 'MINOINFO'  then s := 'Informaes da msica no esto disponveis'
   else if nomeArq = 'MIINFOVE'  then s := 'Velocidade: '
   else if nomeArq = 'MIINFOBI'  then s := 'Bits por Amostra: '
   else if nomeArq = 'MIINFOCA'  then s := 'Canais: '
   // informaes sobre mp3
   else if nomeArq = 'MIINFOTI'  then s := 'Ttulo: '
   else if nomeArq = 'MIINFOAR'  then s := 'Artista: '
   else if nomeArq = 'MIINFOAL'  then s := 'lbum: '
   else if nomeArq = 'MIINFOAN'  then s := 'Ano: '
   else if nomeArq = 'MIINFOGE'  then s := 'Gnero: '
   else if nomeArq = 'MIERRGEN'  then s := 'Gnero: desconhecido'
   else if nomeArq = 'MIINFOCO'  then s := 'Comentrios: '

   else if nomeArq = 'MIDIGPED'  then s := 'Digite o pedao do nome: '

//Neno: Gravar as 3 mensagens abaixo:
   else if nomeArq = 'MISELECI'  then s := 'selecionado'
   else if nomeArq = 'MISELECS'  then s := 'selecionados'
   else if nomeArq = 'MIDE'  then s := 'de'

   else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{              d uma mensagem sem falar
{--------------------------------------------------------}

procedure msgMuda (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;
end;

{--------------------------------------------------------}
{              d uma mensagem falando
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;

begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if (nomeArq <> '') and (existeArqSom (nomearq)) then
        sintSom (nomearq)
    else
        sintetiza (s);

    while sintFalando do keypressed;
end;

{--------------------------------------------------------}
{               Soletra uma string
{--------------------------------------------------------}

procedure soletra(s: string; nlf: integer);
var i: integer;
begin
     write (s);
     for i := 1 to nlf do
         writeln;
     for i := 1 to length (s) do
         sintSoletra (s[i]);
end;

{--------------------------------------------------------}
{             Limpa as linhas que estao abaixo
{--------------------------------------------------------}

procedure limpaBaixo (y: integer);
var i: integer;
begin
    for i := y to currentWindow.Bottom+1 do
        begin
            gotoxy (1, i);
            clreol;
        end;
    gotoxy (1, y);
end;

{--------------------------------------------------------}
{       adiciona ao menu (rotina de convenincia)
{--------------------------------------------------------}

procedure menuAdiciona (cod: string);
begin
    popupMenuAdiciona (cod, pegaTextoMensagem(cod));
end;

{--------------------------------------------------------}
{                faz uma pergunta
{--------------------------------------------------------}

function pergunta (msg: string; npula: integer; cor: integer): char;
var c, c2: char;
begin
    textBackground (cor);
    mensagem (msg, 0);
    textBackground (BLACK);
    sintLeTecla (c, c2);
    pergunta := upcase(c);

    if c <> #$0 then
        begin
            c := upcase (c);
            gotoxy(wherex, wherey);
            ClrEol;
        end;
    gotoxy(wherex, wherey);
end;

end.
