{--------------------------------------------------------}
{                  sitiovox - mensagens
{--------------------------------------------------------}

unit svMsg;
interface
uses dvCrt, dvWin, winprocs, wintypes;

procedure mensagem (nomeArq: string; nlf: integer);
procedure bipSpeaker (pitch: integer);

const
    MSGDIGAPELIDO = 'Digite seu apelido at 12 letras';
    MSGAPELIDOINV = 'Apelido invlido';
    MSGAPELIDODUPLIC = 'Apelido no foi aceito pois outro usurio j o utiliza';
    MSGSENHAINCORRETA = 'Senha incorreta';
    MSGDIGEMAIL = 'Digite seu e-mail';
    MSGENTRA = 'Entrando na conversao';
    MSGCAIU = 'Usurio caiu: ';
    MSGUSUINEX = ' - Usurio destino inexistente';
    MSGATIVOS = 'Pessoas ativas neste stio: ';
    MSGAJUDA = 'Iniciando bate-papo.  Tecle ? para dicas.';
    MSGINVALIDA = 'Esta operao no  suportada neste stio';
    MSGEXCEDIDO =  '-ERRO Excedido nmero de conexes';
    MSGSAINDO = '*** Stio saindo do ar por um instante ***';
    MSGNAOPODE = 'Voc no pode fazer isso assim !';
    MSGOK = 'Operao realizada';

    DICA1 = 'Tecle normalmente termine suas frases com enter.';
    DICA2 = 'Essas frases so enviadas para todos do bate-papo.';
    DICA3 = 'Se quiser saber quem so os usurios tecle ?quem';
    DICA4 = 'Se quiser saber quantos so os usurios tecle ?quantos';
    DICA5 = 'Para mandar uma mensagem privativa tecle + seguido do apelido e a mensagem';
    DICA6 = 'Para sair do bate-papo tecle ESC.';

implementation

{--------------------------------------------------------}
{                     mensagens
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;
begin
    if nomeArq = 'SVINIC' then
        s := 'Stiovox - v'
    else
    if nomeArq = 'SVWSOCK' then
        s := 'Acesso a Internet no habilitado'
    else
    if nomeArq = 'SVCNFFIM' then
        s := 'Confirma fim ? '
    else
    if nomeArq = 'SVCNFNAO' then
        s := 'Arquivo de configurao no existe'
    else
    if nomeArq = 'SVVOUCRI' then
        s := 'Vou criar o arquivo '
    else
    if nomeArq = 'SVPODSER' then
        s := 'Pode ser ? '
    else
    if nomeArq = 'SVNAOCRI' then
        s := 'No consegui criar o arquivo de configurao'
    else
    if nomeArq = 'SVPEDNOM' then
        s := 'Informe o nome-fantasia deste stio, por exemplo, Stio Cantinho da Mame'
    else
    if nomeArq = 'SVPEDEND' then
        s := 'Informe o endereo deste sitio, por exemplo, sitio.fulano@servidor.com.br'
    else
    if nomeArq = 'SVMSGINI' then
        s := 'Qual a mensagem de boas vindas a dar aos usurios ?'
    else
    if nomeArq = 'SVNOMLOG' then
        s := 'Nome do arquivo de registro da conversao ou enter se no quer'
    else
    if nomeArq = 'SVLOGNAO' then
        s := 'Erro na criao do arquivo de registro da conversao'
    else
    if nomeArq = 'SVPROCAN' then
        s := 'Servidor cancelado'
    else
    if nomeArq = 'SVERCON' then
        s := 'No consegui realizar a conexo'
    else
    if nomeArq = 'SVLOGOFF' then
        s := 'Registrando fim do servidor'
    else
    if nomeArq = 'SVDESREG' then
        s := 'Servidor desconheceu registro'
    else
    if nomeArq = 'SVNAOCON' then
        s := 'No consegui registrar saida'
    else
    if nomeArq = 'SVLOGON' then
        s := 'Registrando incio do servidor'
    else
    if nomeArq = 'SVREGOK' then
        s := 'Registro ok'
    else
    if nomeArq = 'SVERRSRV' then
        s := 'No consegui acionar servidor de nomes'
    else
    if nomeArq = 'SVAPTESC' then
        s := 'Aperte ESC para terminar'
    else
    if nomeArq = 'SVFIM' then
        s := 'Fim do servidor Sitiovox'
    else
    if nomeArq = 'SVSVATIV' then
        s := 'Servidor ativo, aceitando conexes'
    else
    if nomeArq = 'SVPORDES' then
        s := 'Porta de escuta desabilitada ou j usada'
    else
    if nomeArq = 'SVINFSEN' then
        s := 'Informe a senha do stio'
    else
    if nomeArq = 'SVREINIC' then
        s := 'Reiniciando o stio'
    else
    if nomeArq = 'SVCNFREI' then
        s := 'Confirma reincio do stio ? '
    else
    if nomeArq = 'SVNUMCNC' then
        s := 'Nmero da sesso a cancelar  '
    else
    if nomeArq = 'SVOPCOES' then
        s := 'Opes: Q-mostra usurios  C-cancela usurio  r-reinicia stio  ESC-fim'
    else
    if nomeArq = 'SVOVFLOW' then
        s := 'Estouro na fila de mensagens'
    else
    if nomeArq = 'SVNINGUE' then
        s := 'Ningum ativo'
    else
    if nomeArq = 'SVLISUSU' then
        s := 'Lista de usurios ativos'
    else
    if nomeArq = 'SVENDIP' then
        s := 'O endereo IP deste stio  '
    else
        s := '--> Mensagem invlida: ' + nomeArq;

    write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom (nomearq) then
        sintSom (nomearq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}
{                    bipa no speaker
{--------------------------------------------------------}

procedure bipSpeaker (pitch: integer);
begin
    SpeakerSound (pitch);
    delay (50);
    SpeakerNoSound;
end;

end.
