
{--------------------------------------------------------}
{
{     Calcula dados sobre sua vida
{     Autor: Airton Simille Marques
{     Convertido de Clipper para Pascal por
{                 Jos Antonio Borges
{     Em 1998
{
{--------------------------------------------------------}

uses dvCrt, dvWin;

const
    nomeDia: array [0..6] of string[10] =
       ('Domingo', 'Segunda', 'Tera', 'Quarta', 'Quinta', 'Sexta', 'Sbado');

var
    diaSemNasc: string;
    diaHoje, diaNasc, sono, diaidade: longint;
    coracao: real;
    idade, erro: integer;
    dd,mm,aa, ddHoje,mmHoje,aaHoje, ssHoje: word;
    signo,planeta,anjo,cor,metal,pedra,perfume,dia,virtude,vicio,
    sentido,inteligencia,amor,verbo,planta: string;

    carater,numero,wvoxdata: string;
    c: char;

{--------------------------------------------------------}

procedure poeNoClipboard;
var p: pchar;
    pos: word;
    nb, linha, coluna: integer;
    c: char;
label achouNB;
begin
    getmem (p, 65000);
    pos := 0;
    for linha := 1 to wherey-1 do
        begin
            for nb := 80 downto 2 do
                begin
                    c := getScreenChar (nb, linha);
                    if c <> ' ' then
                        goto achouNB;
                end;
            nb := 1;
achouNB:
            for coluna := 1 to nb do
                begin
                    p[pos] := getScreenChar (coluna, linha);
                    pos := pos + 1;
                end;
            p[pos]   := #$0d;
            p[pos+1] := #$0a;
            pos := pos + 2;
        end;
    p[pos] := #$0;
    putClipboard (p);

    freemem (p, 65000);
    sintetiza ('ok');
end;

{--------------------------------------------------------}

procedure calcSigno;
begin
    if ((mm = 1) and (dd > 20)) or
       ((mm = 2) and (dd < 20)) then
         begin
             signo:= 'Aqurio';
             planeta:= 'Urano';
             anjo:= 'Uriel';
             cor:= 'verde';
             metal:= 'chumbo';
             pedra:= 'opala';
             perfume:= 'alfazema ou verbena';
             dia:= 'sbado';
             virtude:= 'temperana';
             vicio:= 'inveja';
             sentido:= 'tato';
             inteligencia:= 'progressista';
             amor:= 'liberto de preconceitos';
             carater:= 'excntrico';
             numero:= '8';
             verbo:= 'Eu sei';
             planta:= 'orqudea';
         end
    else
    if ((mm = 2) and (dd > 19)) or
       ((mm = 3) and (dd < 21)) then
        begin
            signo:= 'Peixes';
            planeta:= 'Netuno';
            anjo:= 'Asariel';
            cor:= 'azul';
            metal:= 'estanho';
            pedra:= 'ametista';
            perfume:= 'sndalo ou lrio';
            dia:= 'quinta';
            virtude:= 'justia';
            vicio:=  'gula';
            sentido:= 'supra conscincia';
            amor:= 'sentimental';
            carater:= 'sensvel melanclico';
            numero:= '7';
            inteligencia:= 'arrojado';
            verbo:= 'Eu creio';
            planta:= 'aqutica';
        end
    else
    if ((mm = 3) and (dd > 20)) or
       ((mm = 4) and (dd < 21)) then
        begin
            signo:= 'Aries';
            planeta:= 'Marte';
            anjo:= 'Samuel';
            cor:= 'vermelho';
            metal:= 'ferro';
            pedra:= 'rubi';
            perfume:= 'hortel ou alfazema';
            dia:= 'tera';
            virtude:= 'fortaleza';
            vicio:= 'violncia';
            sentido:= 'viso';
            inteligencia:= 'dinmica';
            amor:= 'conquistador';
            carater:= 'colrico';
            numero:= '9';
            verbo:= 'Eu quero';
            planta:= 'espada de So Jorge';
        end
    else
    if ((mm = 4) and (dd > 20)) or
       ((mm = 5) and (dd < 21)) then
        begin
            signo:= 'Touro';
            planeta:= 'Vnus';
            anjo:= 'Anael';
            cor:= 'anil';
            metal:= 'cobre';
            pedra:= 'gata';
            perfume:= 'rosa ou sndalo';
            dia:= 'sexta';
            virtude:= 'perseveranca no amor';
            vicio:= 'luxria';
            sentido:= 'audio';
            inteligencia:= 'lenta';
            amor:= 'sensual';
            carater:=  'fleumtico';
            numero:= '6';
            verbo:= 'Eu tenho';
            planta:= 'macieira';
        end
    else
    if ((mm = 5) and (dd > 20)) or
       ((mm = 6) and (dd < 21)) then
        begin
            signo:= 'Gmeos';
            planeta:= 'Mercrio';
            anjo:= 'Rafael';
            cor:= 'amarelo';
            metal:= 'mercrio';
            pedra:= 'gua marinha';
            perfume:= 'verbena ou narciso';
            dia:= 'quarta';
            virtude:= 'temperanca';
            vicio:= 'inveja';
            sentido:= 'intuio';
            inteligencia:= 'rpida';
            amor:= 'inconstante';
            carater:= 'nervoso';
            numero:= '5';
            verbo:= 'Eu vou';
            planta:= 'accia';
        end
    else
    if ((mm = 6) and (dd > 20)) or
       ((mm = 7) and (dd < 22)) then
        begin
            signo:= 'Cncer';
            planeta:= 'Lua';
            anjo:= 'Gabriel';
            cor:= 'violeta';
            metal:= 'prata';
            pedra:= 'esmeralda';
            perfume:= 'lrio ou rosa';
            dia:= 'segunda';
            virtude:= 'esperana';
            vicio:= 'avareza';
            sentido:= 'gustao';
            inteligencia:= 'sensitiva';
            amor:= 'familiar';
            carater:= 'melanclico emotivo';
            numero:= '2';
            verbo:= 'Eu sinto';
            planta:= 'hortncia';
        end
    else
    if ((mm = 7) and (dd > 21)) or
       ((mm = 8) and (dd < 23)) then
        begin
            signo:= 'Leo';
            planeta:= 'Sol';
            anjo:= 'Miguel';
            cor:= 'alaranjado';
            metal:= 'ouro';
            pedra:= 'diamante';
            perfume:= 'heliotrpio ou hortel';
            dia:= 'domingo';
            virtude:= 'f';
            vicio:= 'vaidade';
            sentido:= 'olfao';
            inteligencia:= 'rpida plena';
            amor:= 'demostrativo';
            carater:= 'apaixonado colrico';
            numero:= '1';
            verbo:= 'Eu sou';
            planta:= 'loureiro';
        end
    else
    if ((mm = 8) and (dd > 22)) or
       ((mm = 9) and (dd < 23)) then
        begin
            signo:= 'Virgem';
            planeta:= 'Mercrio';
            anjo:= 'Rafael';
            cor:= 'amarelo';
            metal:= 'mercrio';
            pedra:= 'jaspe';
            perfume:= 'verbena ou pinho';
            dia:= 'quarta';
            virtude:= 'temperana';
            vicio:= 'inveja';
            sentido:= 'intuio';
            inteligencia:= 'analtica';
            amor:= 'inconstante';
            carater:= 'fleumtico moderado';
            numero:= '5';
            verbo:= 'Eu analiso';
            planta:= 'angelica trevo';
        end
    else
    if ((mm = 9)  and (dd > 22)) or
       ((mm = 10) and (dd < 23)) then
        begin
            signo:= 'Libra';
            planeta:= 'Vnus';
            anjo:= 'Anael';
            cor:= 'anil';
            metal:= 'cobre';
            pedra:= 'safira';
            perfume:= 'rosa ou sndalo';
            dia:= 'sexta feira';
            virtude:= 'amor';
            vicio:= 'luxria';
            sentido:= 'audio';
            inteligencia:= 'comparativo';
            amor:= 'conjugal';
            carater:= 'dialtico';
            numero:= '6';
            verbo:= 'Eu amo';
            planta:= 'roseira';
        end
    else
    if ((mm = 10) and (dd > 22)) or
       ((mm = 11) and (dd < 22)) then
        begin
            signo:= 'Escorpio';
            planeta:= 'Pluto';
            anjo:= 'Azrael';
            cor:= 'vermelho';
            metal:= 'ferro';
            pedra:= 'topzio';
            perfume:= 'hortel ou pinho';
            dia:= 'tera';
            virtude:= 'fortaleza';
            vicio:= 'intransigncia';
            sentido:= 'gustao';
            inteligencia:= 'profundo';
            amor:= 'misterioso absorvente';
            carater:= 'reservado';
            numero:= '9';
            verbo:= 'Eu domino';
            planta:= 'espada de So Jorge';
        end
    else
    if ((mm = 11) and (dd > 23)) or
       ((mm = 12) and (dd < 22)) then
        begin
            signo:= 'Sagitrio';
            planeta:= 'Jpiter';
            anjo:= 'Saquiel';
            cor:= 'azul';
            metal:= 'estanho';
            pedra:= 'turquesa azul';
            perfume:= 'sndalo ou lrio';
            dia:= 'quinta';
            virtude:= 'justia';
            vicio:= 'gula';
            sentido:= 'supra conscincia';
            inteligencia:= 'filosfica';
            amor:= 'arrojado';
            carater:= 'colrico expansivo';
            numero:= '3';
            verbo:= 'Eu vejo';
            planta:= 'cedro';
        end
    else
    if ((mm = 12) and (dd > 21)) or
       ((mm = 1 ) and (dd < 21)) then
        begin
            signo:= 'Capricrnio';
            planeta:= 'Saturno';
            anjo:= 'Cassiel';
            cor:= 'verde';
            metal:= 'chumbo';
            pedra:= 'nix';
            perfume:= 'alfazema ou pinho';
            dia:= 'sbado';
            virtude:= 'prudncia';
            vicio:= 'egosmo';
            sentido:= 'tato';
            inteligencia:= 'racionalista';
            amor:= 'racional';
            carater:= 'disciplinado';
            numero:= '8';
            verbo:= 'Eu posso';
            planta:= 'cactus';
        end;

end;

{--------------------------------------------------------}

procedure dwriteln (s: string);
var i: integer;
begin
    if (length (s) > 40) and (wherex <> 1) then
        writeln;

    write (s);
    i := pos (':', s);
    if i <> 0 then delete (s, i, 1);

    while sintFalando do;
    if not keypressed then delay (1000);
    sintetiza (s);

    if wherex < 40 then
        gotoxy (41, wherey)
    else
        writeln;
end;

{--------------------------------------------------------}

procedure mostraVida;
var s: string;
begin
    textBackground (BLUE);
    clreol;
    sintWriteln ('Voc nasceu ' + diaSemNasc);
    str (idade, s);
    clreol;
    sintWriteln ('Sua idade: ' + s + ' anos');

    str (diaidade, s); clreol;
    clreol;
    sintWriteln ('Voc j viveu ' + s + ' dias');
    str (sono, s);
    clreol;
    sintWriteln ('J dormiu em mdia ' + s + ' dias');

    str (coracao:0:0, s); clreol;
    clreol;
    sintWrite ('O seu corao j bateu em mdia ' + s + ' vezes');
    textBackground (BLACK);
    writeln;
    writeln;

    dwriteln ('Seu signo: ' + signo);
    dwriteln ('Planeta regente: ' + planeta);
    dwriteln ('Seu anjo protetor: ' + anjo);
    dwriteln ('Sua cor mais favorvel: ' + cor);
    dwriteln ('Seu metal protetor: ' + metal);
    dwriteln ('Sua pedra protetora: ' + pedra);
    dwriteln ('Perfume que deve usar: ' + perfume);
    dwriteln ('Seu dia mais favorvel: ' + dia);
    dwriteln ('Sua maior virtude: ' + virtude);
    dwriteln ('Seu vcio: ' + vicio);
    dwriteln ('Sentido mais aguado: ' + sentido);
    dwriteln ('Seu tipo de inteligncia: ' + inteligencia);
    dwriteln ('Sua maneira de amar: ' + amor);
    dwriteln ('Seu carter: ' + carater);
    dwriteln ('Sua planta smbolo: ' + planta);
    dwriteln ('O seu nmero da sorte: ' + numero);
    dwriteln ('Deve repetir sempre: ' + verbo);
    writeln;
end;

{--------------------------------------------------------}

function calcDias (dd, mm, aa: integer): longint;
var l: longint;
    i: integer;
const
    tabmes: array [1..12] of integer =
        (31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
begin
    aa := aa - 1800;
    l := aa * longint(365) + (aa - 1) div 4;
    for i := 1 to mm-1 do
        l := l + tabMes [i];
    if ((aa mod 4) = 0) and (mm > 2) then
        l := l + 1;
    l := l + dd;

    calcDias := l;
end;

{--------------------------------------------------------}

label deNovo, fim;
var i: integer;

begin
deNovo:
    sintInic (0, '');
    clrscr;
    writeln ('Programa Vidavox');
    writeln ('Por Airton Simille Marques - Curitiba - 1997');
    sintetiza ('VIDAVOX');
    writeln;
    textBackground (RED);
    sintWrite ('Digite a data do seu nascimento no formato dia/mes/ano  ');
    textBackground (BLACK);
    sintReadln (wvoxdata);
    if wvoxdata = '' then
       goto fim;

    i := pos ('/', wvoxData);
    val (copy (wvoxdata,1,i-1), dd, erro);
    if erro <> 0 then goto deNovo;
    delete (wvoxdata, 1, i);
    i := pos ('/', wvoxData);
    val (copy (wvoxdata,1, i-1), mm, erro);
    if erro <> 0 then goto deNovo;
    delete (wvoxdata, 1, i);
    val (wvoxdata, aa, erro);
    if erro <> 0 then goto deNovo;
    if aa < 1800 then goto deNovo;

    calcSigno;

    getDate (aaHoje, mmHoje, ddHoje, ssHoje);
    idade := aaHoje - aa;
    if mm > mmHoje then
        idade:= idade - 1
    else
    if (mm = mmHoje) and (dd > ddHoje) then
        idade:= idade - 1;

    diaHoje := calcDias (ddHoje, mmHoje, aaHoje);
    diaNasc := calcDias (dd, mm, aa);
    diaIdade := diaHoje - diaNasc;

    diaSemNasc:= nomeDia [(diaNasc+1) mod 7];

    sono:= diaidade div 3;
    coracao:= 80.0 * 24 * 60 * diaidade;

    writeln;
    mostraVida;

    sintWriteln ('');
    delay (2000);
    sintWriteln ('Dados astrolgicos retirados do Almanaque de Dirce Alves');
    delay (5000);

    gotoxy (1, 25);
    sintWrite ('Aperte control insert para copiar para rea de transferncia');
    repeat
        c := readkey;
        if c = CTLINS then
            begin
                poeNoClipboard;
                sintClek;  sintClek;
            end;
    until (c = ESC) or (c = ENTER);

fim:
    sintFim;
    doneWinCrt;
end.
