{--------------------------------------------------------}
{                                                        }
{    Programa de palavras cruzadas                       }
{                                                        }
{    Mdulo de variveis                                 }
{                                                        }
{    Autores: Jos Antonio Borges                        }
{             Jorge Carlos dos Santos                    }
{                                                        }
{    Em agosto/2010                                      }
{                                                        }
{--------------------------------------------------------}

unit crvars;

interface
uses classes;

const
    versao = '1.0';
    MAXDIM = 15;

type
    TDirecao = (HORIZ, VERT, INDEFINIDA);

    TModelo = array [1..MAXDIM] of string;

var
    modelo,                      // tabuleiro durante a edio
    tabuleiro: TModelo;          // tabuleiro durante o jogo
    nx, ny: integer;             // tamanho do tabuleiro
    legendasHoriz,               // strings das legendas para cada posio do modelo
    legendasVert:  array [1..MAXDIM, 1..MAXDIM] of string;

    listaDirJogos: TStringList;
    dirBaseJogos: string;
    dirAtual, nomeArq: string;

    titulo, tema, autor, dataCriacao: shortstring;    // informaes gerais sobre o jogo
    comentario, jogador, data: string;
    tempo: integer;
    xatu, yatu: integer;
    numDicas: integer;

    horaInicial: TDateTime;

    alterou: boolean;		 // durante a edio algo foi alterado

implementation

end.
