{--------------------------------------------------------}
{                                                        }
{    Radio50 - Executor interativo de streams de udio   }
{                                                        }
{    Mdulo de mensagens                                 }
{                                                        }
{    Autor:  Jos Antonio Borges                         }
{                                                        }
{    Em outubro/2015                                     }
{                                                        }
{--------------------------------------------------------}

unit rdmsg;

interface

uses
    dvcrt,
    dvWin,
    dvWav,
    windows,
    sysUtils,
    dvForm,
    rdvars;

function pegaTextoMensagem (nomeArq: string): string;
procedure mensagem (nomeArq: string; nlf: integer);
procedure limpaBaixo (y: integer);
procedure cabecalho (falando: boolean);
procedure MenuAdiciona (msg: string);
procedure naoImplem;

implementation

{--------------------------------------------------------}
{              descobre o texto da mensagem
{--------------------------------------------------------}

function pegaTextoMensagem (nomeArq: string): string;
var s: string;
begin
    if nomeArq = 'RDINIC' then
        s := 'Radio50 - verso '
    else
    if nomeArq = 'RDFIM' then
        s := 'Fim do Radio50.'
    else
    if nomeArq = 'RDNAOCON' then
        s := 'Ateno: seu computador no est conectado  internet.'
    else
    if nomeArq = 'RDOK' then
        s := 'OK.'
    else
    if nomeArq = 'RDMOMENT' then
        s := 'Um momento...'
    else
    if nomeArq = 'RDOQUE' then
        s := 'Radio50 - Que deseja? '
    else
    if nomeArq = 'RDOPINV' then
        s := 'Opo invlida'
    else
    if nomeArq = 'RDDESIST' then
        s := 'Desistiu...'
    else
    if nomeArq = 'RDOPCAO' then
        s := 'As opes so:'
    else
    if nomeArq = 'RD_ESC' then
        s := '     ESC - terminar'
    else
    if nomeArq = 'RDOPC_P' then
        s := '       P - radios preferidas'
    else
    if nomeArq = 'RDOPC_F' then
        s := '       F - folhear as rdios por categorias'
    else
    if nomeArq = 'RDOPC_B' then
        s := '       B - buscar uma rdio por parte do nome'
    else
    if nomeArq = 'RDOPC_A' then
        s := '       A - atualizar a lista de rdios por arquivo ATU'
    else
    if nomeArq = 'RDOPC_T' then
        s := '       T - testar um endereo de rdio'
    else
    if nomeArq = 'RDOPC_E' then
        s := '       E - editar uma categoria'
    else
    if nomeArq = 'RDOPC_I' then
        s := '       I - incluir item em uma categoria'
    else
    if nomeArq = 'RDOPC_R' then
        s := '       R - remover item de uma categoria'
    else
    if nomeArq = 'RDOPC_C' then
        s := '       C - criar nova categoria'
    else
    if nomeArq = 'RDOPC_D' then
        s := '       D - destruir uma categoria'
    else
    if nomeArq = 'RDOPC_CTRLP' then
        s := 'Ctrl + P - folhear preferidas sem sair'
    else
    if nomeArq = 'RDOPC_CTRLB' then
        s := 'Ctrl + B - buscar por parte do nome sem sair'
    else
    if nomeArq = 'RDSETOPC' then
        s := 'Use as setas para conhecer outras opes'

    else
    if nomeArq = 'RDSELCAT' then
        s := 'Selecione com as setas a categoria.'
    else
    if nomeArq = 'RDSELRAD' then
        s := 'Selecione com as setas a rdio e tecle Enter.'
    else
    if nomeArq = 'RDITEMED' then
        s := 'Escolha com as setas o item a editar'
    else
    if nomeArq = 'RDITEMIN' then
        s := 'Nome do item a incluir'
    else
    if nomeArq = 'RDITEMCT' then
        s := 'Informe o contedo deste item'
    else
    if nomeArq = 'RDITEMRM' then
        s := 'Escolha com as setas o item a remover'
    else
    if nomeArq = 'RDCNFRMI' then
        s := 'Confirma remoo do item '
    else
    if nomeArq = 'RDOKRM' then
        s := 'Ok, removido'
    else
    if nomeArq = 'RDNOVSEC' then
        s := 'Informe o nome da nova categoria:'
    else
    if nomeArq = 'RDARQMUD' then
        s := 'Informe o nome do arquivo que contm as mudanas:'
    else
    if nomeArq = 'RDARQNEX' then
        s := 'Arquivo no existe'
    else
    if nomeArq = 'RDMODIFA' then
        s := 'Deseja modificar itens anteriormente criados?'
    else
    if nomeArq = 'RDCHINVA' then
        s := 'Chave invlida.'
    else
    if nomeArq = 'RDTOTCHINVA' then
        s := 'Total de chaves invlidas: '
    else
    if nomeArq = 'RDFIMFOL' then
        s := 'Fim do Folheamento.'
    else
    if nomeArq = 'RDFOLTRM' then
        s := 'Folheamento terminado.'
    else
    if nomeArq = 'RDCATTRM' then
        s := 'Categoria terminada'
    else
    if nomeArq = 'RDCNTFOL' then
        s := 'Continue folheando.'
    else
    if nomeArq = 'RDUSESET' then
        s := 'Use as setas, ao final tecle ESC'
    else
    if nomeArq = 'RDDIGURL' then
        s := 'Digite a URL da rdio:'
    else
    if nomeArq = 'RDTOCEXT' then
        s := 'Precisa usar um tocador externo? '

    else
    if nomeArq = 'RDPROQUE' then
        s := 'Preferidas - que deseja? '
    else
    if nomeArq = 'RDOPP_P' then
        s := '       P - escolhe pelo nmero da preferida'
    else
    if nomeArq = 'RDOPP_F' then
        s := '       F - folheia as preferidas'
    else
    if nomeArq = 'RDOPP_E' then
        s := '       E - editar uma preferida'
    else
    if nomeArq = 'RDOPP_R' then
        s := '       R - remover uma preferida'
    else
    if nomeArq = 'RDOPP_U' then
        s := '       U - ltima rdio escutada'

    else
    if nomeArq = 'RDINFNUM' then
        s := 'Informe o nmero da rdio (entre 1 e 20): '
    else
    if nomeArq = 'RDINFNUMENT' then
        s := 'Informe o nmero da rdio entre '
    else
    if nomeArq = 'RDUSEFF' then
        s := 'Use a opo F para descobrir os nmeros.'
    else
    if nomeArq = 'RDEIBASS' then
        s := 'Erro ao inicializar a biblioteca BASS.DLL'
    else
    if nomeArq = 'RDTNTCNX' then
        s := 'Tentando conexo'
    else

    if nomeArq = 'RDERRRAD' then
        s := 'A informao sobre esta rdio no est disponvel.'  
    else
    if nomeArq = 'RDENDSEL' then
        s := 'Endereo selecionado: '
    else
    if nomeArq = 'RDSTNACH' then
        s := 'Erro: stream no foi achada.'
    else
    if nomeArq = 'RDTIMOUT' then
        s := 'Tempo excedido na conexo.'
    else
    if nomeArq = 'RDERRFMT' then
        s := 'Erro: este formato de stream no  suportado.'
    else
    if nomeArq = 'RDERSTAT' then
        s := 'Erro: status: '
    else
    if nomeArq = 'RDDESLIG' then
        s := 'Rdio desligada.'
    else
    if nomeArq = 'RDVOLATU' then
       s := 'Volume atual: '
    else
    if nomeArq = 'RDQUEVOL' then
        s := 'Qual o volume de 1 a 100? '

    else
    if nomeArq = 'RDFFPLAY' then
        s := 'Processando com tocador externo.'
    else
    if nomeArq = 'RDERPLYR' then
        s := 'No pude executar o tocador externo.'

    else
    if nomeArq = 'RDCODIFC' then
        s := 'Codificao: '
    else
    if nomeArq = 'RDAMOSTR' then
        s := 'Amostragem:  '
    else
    if nomeArq = 'RDCANAIS' then
        s := 'Canais:      '
    else
    if nomeArq = 'RDTRANSP' then
        s := 'Transporte:  '
    else
    if nomeArq = 'RDTAXAB' then
        s := 'Taxa:        '
    else
    if nomeArq = 'RDEDNOMR' then
        s := 'Editore o nome da rdio: '
    else
    if nomeArq = 'RDEDENDR' then
        s := 'Editore o endereo de acesso da rdio: '
    else
    if nomeArq = 'RDUSAPGX' then
        s := 'Usa programa externo para acesso: '
    else
    if nomeArq = 'RDREDENT' then
        s := 'As opes sao: R-remove, E-edita, C-clona, Enter-Toca.'
    else
    if nomeArq = 'RDONDCLN' then
        s := 'Informe o nmero em que ser clonado (de 1 a 20): '
    else
    if nomeArq = 'RDINNUCL' then
        s := 'Informe o nmero em que ser clonado '
    else
    if nomeArq = 'RDONDCLNDE' then
        s := 'Informe o nmero em que ser clonado de '
    else
    if nomeArq = 'RDNUMINV' then
        s := 'Nmero invlido'

    else
    if nomeArq = 'RDFOLPRF' then
        s := 'Folheando as rdios preferidas.  F9 mostra opes'

    else
    if nomeArq = 'RDCATDST' then
        s := 'Informe o nome da categoria a destruir:'
    else
    if nomeArq = 'RDPERIGO' then
        s := 'Destruirei a categoria com este nome, perdendo todas as rdios.'
    else
    if nomeArq = 'RDAPTD' then
        s := 'Aperte D para destruir sem chance de voltar. '

    else
    if nomeArq = 'RDRDTOP' then
        s := 'Rdios TOP'
    else
    if nomeArq = 'RDUMOMEN' then
        s := 'Um momento, consultando o servidor de rdios'
    else
    if nomeArq = 'RDERRSRV' then
        s := 'Erro na comunicao com o servidor de rdios'
    else
    if nomeArq = 'RDERRWAR' then
        s := 'Erro de escrita do arquivo'
    else
    if nomeArq = 'RDRDTOP' then
       s := 'Rdios TOP'
    else
    if nomeArq = 'RDESCOLH' then
        s := 'Escolha uma das rdios'
    else
    if nomeArq = 'RDLOCRAD' then
        s := 'Localizando '
    else
    if nomeArq = 'RDNAOENC' then
        s := 'Stream de udio no foi encontrada'
    else
    if nomeArq = 'RDAPTENT' then
        s := 'Aperte enter...'
    else
    if nomeArq = 'RDGUARDA' then
        s := 'Quer guardar esta rdio? '

    else
    if nomeArq = 'RDNPROG' then
        s := 'Nmero de programas: '
    else
    if nomeArq = 'RDOPCSAO' then
        s := 'As opes so:'
    else
    if nomeArq = 'RDESPACO' then
        s := 'espao - toca ou para'
    else
    if nomeArq = 'RDOPNOMRADI' then
        s := 'R - nome da rdio'
    else
    if nomeArq = 'RDOPNOME' then
        s := 'N - exibe nome reduzido'
    else
    if nomeArq = 'RDOPVOL' then
        s := 'V - muda volume'
    else
    if nomeArq = 'RDOPPARM' then
        s := 'P - mostra parmetros de transmisso'
    else
    if nomeArq = 'RDOPENDR' then
        s := 'E - endereo de transmisso'
    else
    if nomeArq = 'RDOPPROX' then
        s := 'PAGE UP - prxima programao'
    else
    if nomeArq = 'RDOPANT' then
        s := 'PAGE DOWN - programao anterior'
    else
    if nomeArq = 'RDOPESC' then
        s := 'ESC - termina'
    else
    if nomeArq = 'RDQUALOP' then
        s := 'Qual sua opo? '
    else
    if nomeArq = 'RDMANPRF' then
        s := 'Deseja manter suas rdios preferidas? '
    else
    if nomeArq = 'RDATUINT' then
        s := 'Quer atualizar pela Internet? '
    else
    if nomeArq = 'RDATNENC' then
        s := 'Arquivo de atualizao no foi achado na internet'
    else
    if nomeArq = 'RDNOMBUS' then
        s := 'Informe parte do nome a buscar: '
    else
    if nomeArq = 'RDQUATXT' then
        s := 'Qual o texto? '
    else
    if nomeArq = 'RDTOCAND' then
        s := 'Tocando: '
    else
    if nomeArq = 'RDNADAPA' then
        s := 'No encontrei nada parecido'

    else
    if nomeArq = 'RDNIMPL' then
        s := 'No implementado.'
    else
        if nomeArq = 'RDNUMIT' then
        s := 'rdios nesta categoria'
    else
    if nomeArq = 'RDADIPREF' then
        s := 'Adicionar preferida'
    else
    if nomeArq = 'RDUSSEDNU' then
        s := 'Use as setas para descobrir os nmeros.'
    else
    if nomeArq = 'RDUTSETA' then
        s:= 'Ou use as setas'
    else
    if nomeArq = 'RDEXRAPO' then
        s := 'J existe rdio nessa posio, sobrescreve? '
    else
    if nomeArq = 'RDGRAVANDO' then
        s := 'Gravando'
    else
    if nomeArq = 'RDDIRNCRI' then
        s := 'No consegui criar o diretrio destino da gravao.'
    else
    if nomeArq = 'RDTEALTF4' then
        s := 'Tecle Alt + F4 para finalizar a gravao'
    else
    if nomeArq = 'RDESCPAGRA' then
        s := 'Tecle ESC para finalizar a gravao'
    else
    if nomeArq = 'RDFIMGRA' then
        s := 'Fim da gravao'

    else
    if nomeArq = 'RDAJFORA' then
        s := 'Folheie as radios com as setas, depois tecle:'
    else
    if nomeArq = 'RDAJFO_ENTER' then
        s := '               Enter    - tocar rdio'
    else
    if nomeArq = 'RDAJFO_CTRLP' then
        s := '        Ctrl + P        - adicionar as preferidas'
    else
    if nomeArq = 'RDAJFO_CTRLE' then
        s := '        Ctrl + E        - editar rdio'
    else
    if nomeArq = 'RDAJFO_CTRLR' then
        s := '        Ctrl + R        - remover rdio'
    else
    if nomeArq = 'RDAJFO_CTRLQ' then
        s := '        Ctrl + Q        - posio atual e total de rdios'
    else
    if nomeArq = 'RDAJFO_CTRLSFTQ' then
        s := 'Ctrl + Shift + Q        - selecionados e total de rdios'
    else
    if nomeArq = 'RDAJFO_CTRLC' then
        s := '        Ctrl + C        - copiar para rea de transferncia'
    else
    if nomeArq = 'RDAJFO_CTRLT' then
        s := '        Ctrl + T        - buscar rdio que usa tocador externo'
    else
    if nomeArq = 'RDAJFO_ESQ' then
        s := '               Esquerda - fala categoria'
    else
    if nomeArq = 'RDAJFO_CTRLESQ' then
        s := '        Ctrl + esquerda - soletra categoria'
    else
    if nomeArq = 'RDAJFO_DIR' then
        s := '               direita  - fala site'
    else
    if nomeArq = 'RDAJFO_CTRLDIR' then
        s := '        Ctrl + direita  - soletra site'
    else
    if nomeArq = 'RDAJFO_F5' then
        s := '               F5       - busca'
    else
    if nomeArq = 'RDAJFO_CTRLF5' then
        s := '        Ctrl + F5       - busca novamente'
    else
    if nomeArq = 'RDAJFO_3' then
        s := '               3        - gerar arquivos m3u'
    else
    if nomeArq = 'RDAJFO_ESC' then
        s := '        ESC terminar folheamento'
    else
    if nomeArq = 'RDAJFO_F9' then
        s := 'Tecle F9 para conhecer outras opes'

    else
    if nomeArq = 'RDOPGRAVAR' then
        s := 'G - gravar rdio'
    else
    if nomeArq = 'RDOPFIGRAVAR' then
        s := 'F - finalizar gravao'
    else
    if nomeArq = 'RDOPINFOR' then
        s := 'I - informao'
    else
    if nomeArq = 'RDPRGNAOENC' then
        s := 'Programa no encontrado '
    else
    if nomeArq = 'RDERROPRGCOD' then
        s := 'Erro na execuo do programa: cdigo '
    else
    if nomeArq = 'RDJAGRAVANDO' then
        s := 'Rdio j gravando'
    else
    if nomeArq = 'RDAPASEL' then
        s := 'Deseja apagar todas as selecionadas? '
    else
    if nomeArq = 'RDDETOSEL' then
        s := 'Deseja todas as selecionadas? '
    else
    if nomeArq = 'RDSELECI' then
        s := 'selecionados'
    else
    if nomeArq = 'RDSELECS' then
        s := 'selecionado'
    else
    if nomeArq = 'RDDE' then
        s := 'de'
    else
    if nomeArq = 'RDNAOGRAM3U' then
        s := 'No consegui gravar o arquivo M3U '
    else
    if nomeArq = 'RDDIRNCRI' then
        s := 'No consegui criar o diretrio destino da gravao.'
    else
    if nomeArq = 'RDDESGEM3U' then
        s := 'Deseja gerar arquivos M3U dos itens selecionados?'
    else
    if nomeArq = 'RDGERARQM3U' then
        s := 'Gerando arquivos M3U em '
    else
    if nomeArq = 'RDRADIOS' then
        s := 'Rdios'

    else
        s := '--> Mensagem invlida: ' + nomeArq;

   pegaTextoMensagem := s;
end;

{--------------------------------------------------------}
{                    d uma mensagem
{--------------------------------------------------------}

procedure mensagem (nomeArq: string; nlf: integer);
var i: integer;
    s: string;
begin
    s := pegaTextoMensagem (nomeArq);

    if nlf >= 0 then write (s);
    for i := 1 to nlf do
         writeln;

    if existeArqSom ('EF_' + nomeArq) then
        sintSom ('EF_' + nomeArq);

    if existeArqSom (nomeArq) then
        sintSom (nomeArq)
    else
        sintetiza (s);
end;

{--------------------------------------------------------}
{       limpa debaixo de certa posio da tela
{--------------------------------------------------------}

procedure limpaBaixo (y: integer);
var i: integer;
begin
    for i := y to 25 do
        begin
            gotoxy (1, i);
            clreol;
        end;
    gotoxy (1, y);
end;

{--------------------------------------------------------}
{              cabealho padro do programa
{--------------------------------------------------------}

procedure cabecalho (falando: boolean);
begin
    clrscr;
    textBackground (BLUE);
    if sintFalarTudo and falando then
        begin
            mensagem ('RDINIC', 0);   {'Radio50 - verso '}
            sintWriteln (VERSAO);
        end
    else
        writeln (pegaTextoMensagem ('RDINIC'), VERSAO);

    writeln;
    textBackground (BLACK);
end;

{-------------------------------------------------------------}
{       Utilizado para montar o menu de opes
{-------------------------------------------------------------}

procedure MenuAdiciona (msg: string);
begin
    popupMenuAdiciona (msg, pegaTextoMensagem (msg)); {}
end;

{--------------------------------------------------------}
{     mensagem padro para rotinas ainda no criadas
{--------------------------------------------------------}

procedure naoImplem;
begin
    sintWriteln ('Funo no implementada ainda.');
end;

end.

