unit twgzip;

interface
uses windows, dvwin, dvcrt, dvexec, sysUtils;

function descompGzip (texto: string): string;

implementation

{--------------------------------------------------------}
{              nomeia um arquivo temporrio
{--------------------------------------------------------}

function GetTempFile: String;
var
    tempFileName, tempPath: array[0..255] of Char;

begin
    getTempPath (255, tempPath);
    getTempFileName(tempPath, '$$$', 0, tempFileName);
    result := strPas (tempFileName);
end;

{-------------------------------------------------------------}
{                trata Gzip
{-------------------------------------------------------------}

function descompGzip (texto: string): string;
var arq: file;
    arqTxt: textFile;
    nomeDest, nomeTemp: string;
    lido: string;
    i: integer;
label fim;
begin
    result := '';
    nomeDest := getTempFile;
    nomeTemp := nomeDest + '.gz';
    deleteFile (nomeDest);
    deleteFile (nomeTemp);

    assignFile (arq, nomeTemp);
    {$I-} rewrite (arq, 1);  {$I+}
    if ioresult <> 0 then goto fim;
    for i := 1 to length(texto) do
        blockwrite (arq, texto[i], 1);
    closeFile (arq);

    if executaProgEX ('gzip.exe', '.', '-d ' + nomeTemp, SW_SHOWMINIMIZED) < 32 then
        begin
            sintWriteln ('GZIP no est instalado');
            goto fim;
        end
    else
        delay (2000);

    assignFile (arqTxt, nomeDest);
    {$I-} reset (arqTxt);  {$I+}
    if ioresult <> 0 then goto fim;
    while not eof (arqTxt) do
        begin
            readln (arqTxt, lido);
            result := result + lido + ^m^j;
        end;
    closeFile (arqTxt);

fim:
    deleteFile (nomeDest);
    deleteFile (nomeTemp);
end;

end.
