{
    VoxTube - utilitrio de acessibilizao do YouTube  ;

Funes do programa

    Autores:
        Antonio Borges,
        Fabiano Ferreira,
        Glauco Constantino,
        Neno Albernaz,
        Patrick Barbosa;

    Verso 1.0 em Fevereiro de 2013;

    Verso 6.0 em Maro de 2024;
}

unit vt_fun;

interface
procedure extraiaudio(ultfolheado: integer);
procedure salvaFilme (ultfolheado: integer);
procedure tocavideo (pagina: string; teclou_ctrl_enter: boolean);
procedure InfoVideoselec (ultfolheado: integer);
procedure InfoVideoselecclip (ultfolheado: integer);
implementation
uses
dvcrt,
dvform,
dvexec,
dvdownload,
sysutils,
windows,
vt_aux,
vt_msg,
vt_var,
dvwin;

procedure extraiaudio(ultfolheado: integer);
var
 nomeaudio, link: string;
    c: char;

label videoNex;

begin
    nomeaudio := subsCaracInvalidos (filme.titulo[ultfolheado]) + '.MP3';
    link := linkReal('A',Filme.paginaweb[ultfolheado]);

    mensagem ('VTSALVP', 0);  {'Salvando para: '}
    sintWriteln (nomeaudio);
    writeln;

    mensagem ('VTEDITE', 1);  {'Editore o nome, tecle enter para confirmar, esc para cancelar.'}
    c := sintEditacampo(nomeaudio, wherex, wherey, 200, 80, true);
    if (c = ESC) or (nomeaudio = '') then
        begin
            writeln;
            mensagem ('VTDESIST', 1);  {'Desistiu'}
            exit;
        end;

    writeln (nomeaudio);
    if fileExists(nomeaudio) then
        begin
            mensagem ('VTARQEXI', 0);  {'Este arquivo j existe. Sobrescreve?'}
            c := popupMenuPorLetra ('SN');
            if (c <> 'S') then
                begin
                    mensagem ('VTDESIST', 1);  {'Desistiu'}
                    exit;
                end;
        end;

    writeln;

                            mensagem ('VTGERAN', 0);    {'Gerando mp3: '}

if download(link,nomeaudio,8) = DNWL_OK then
    mensagem ('VTXTAOK', 2)  {'Extrao de audio concluda!'}
else
sintwriteln ('Falha ao tentar obter o mp3');
end;

{                     salva o filme                      }

procedure salvaFilme (ultfolheado: integer);
var
    arquivo: string;
    c: char;
    baixar: string;

begin
    arquivo := subsCaracInvalidos (Filme.titulo[ultfolheado]) + '.MP4';
    baixar := linkReal('V',Filme.paginaweb[ultfolheado]);
    if baixar = '' then
        begin
            mensagem ('VTDECERR', 1);  {'No  possvel baixar esse vdeo. Sinto muito.'}
            exit;
        end;

    mensagem ('VTSALVP', 0);  {'Salvando para: '}
    sintWriteln (arquivo);
    writeln;

    mensagem ('VTEDITE', 1);  {'Editore o nome, tecle enter para confirmar, esc para cancelar.'}
    c := sintEditacampo(arquivo, wherex, wherey, 200, 80, true);
    if (c = ESC) or (arquivo = '') then
        begin
            mensagem ('VTDESIST', 1);  {'Desistiu'}
            exit;
        end;

    writeln (arquivo);
    if fileExists(arquivo) then
         begin
              mensagem ('VTARQEXI', 0);  {'Este arquivo j existe. Sobrescreve?'}
              c := popupMenuPorLetra ('SN');
              if (c <> 'S') then
                 begin
                    mensagem ('VTDESIST', 1);  {'Desistiu'}
                    exit;
                 end;
         end;

    writeln;

    mensagem ('VTBAIXVD', 1); {'Baixando o vdeo, aguarde.'}
    if  download(baixar, arquivo,8) = DNWL_OK then
        mensagem ('VTOK', 1);  {'Ok!'}
end;


procedure tocavideo (pagina: string; teclou_ctrl_enter: boolean);
var player : string;
    parametro : string;
    urlverdadeira : string;
    c : char;
    p: integer;
begin
player := 'mpv\mpv.exe';
if sintambiente('VOXTUBE','TOCADOR') = '' then
begin
sintgravaambiente('VOXTUBE','TOCADOR','@\'+player);
player := sintambiente('DOSVOX','PGMDOSVOX')+'\'+player;
end
else
player := sintambiente('VOXTUBE','TOCADOR');

    parametro := '';

    if player[1] = '"' then
        begin
            delete (player, 1, 1);
            p := pos ('"', player);
            if p <> 0 then
                begin
                    parametro := trim(copy (player, p+1, 999));
                    delete (player, p, 999);
                end;
        end
    else
        if pos(' ', player) <> 0 then
            begin
                parametro := copy(player, pos(' ', player), length(player));
                player := copy(player, 1, pos(parametro,player));
            end;

    urlverdadeira := linkreal('V',pagina);

    if (player = '') or (teclou_ctrl_enter) or (urlverdadeira = '') then
        begin
            if (urlverdadeira = '') and (player <> '') and (teclou_ctrl_enter = false) then
                begin
                    mensagem ('VTNTOCA',1);  {'Execuo via player no disponvel.'}
                    mensagem ('VTNAVEG',0);  {'Deseja executar no navegador'?}
                    c := sintReadkey;
                    writeln (c);
                    c := upcase(c);
                    if (c = 'N') or (c = ESC) then exit;
                end;

            player := GetDefaultBrowser;
            urlverdadeira := pagina;
            if sintFalarTudo then mensagem ('VTABNAV', 1);  {'Abrindo navegador. Acione ALT F4 quando terminar.'}
            executaProg(player, '', urlverdadeira + parametro);
        end
    else
        executaProgEx(player, '', urlverdadeira + parametro , SW_SHOWNORMAL);
esperaprogvoltar;
end;

procedure InfoVideoselec (ultfolheado: integer);
var
arq : text;
nomearqtemp, link : string;
s, x : string;
begin
nomearqtemp := gettempfile;
link := linkreal('I',Filme.paginaweb[ultfolheado]);

if download (link,nomearqtemp,0) = dnwl_ok then
begin
assign (arq,nomearqtemp);
reset(arq);
while not eof(arq) do begin
readln(arq,s);
x := x + s+CRLF;
end;
close(arq);
delete(x,length(x)-1,2);

rewrite(arq);
writeln(arq,'Ttulo: '+filme.titulo[ultfolheado]);
writeln(arq,'Autor: '+filme.autor[ultfolheado]);
writeln(arq,'Durao: '+filme.duracao[ultfolheado]);
writeln(arq,'Transmitido '+filme.datapub[ultfolheado]);
writeln(arq,'URL: '+filme.paginaweb[ultfolheado]);
writeln(arq,'Visualizaes: '+filme.visto[ultfolheado]);
Writeln(arq,'Descrio:');
Writeln(arq,x);
close(arq);
            executaProg(sintambiente('DOSVOX','PGMDOSVOX')+'\edivox.exe', '','/L '+nomearqtemp);
esperaprogvoltar;
erase(arq);
end;
end;

procedure InfoVideoselecclip (ultfolheado: integer);
var
arq : text;
nomearqtemp, link : string;
s, x: string;
begin
nomearqtemp := gettempfile;
link := linkreal('I',Filme.paginaweb[ultfolheado]);

if download (link,nomearqtemp,0) = dnwl_ok then
begin
assign (arq,nomearqtemp);
reset(arq);
while not eof(arq) do begin
readln(arq,s);
x := x + s+CRLF;
end;
close(arq);
erase(arq);
x := 'Ttulo: '+filme.titulo[ultfolheado]+CRLF+
'Autor: '+filme.autor[ultfolheado]+CRLF+
'Durao: '+filme.duracao[ultfolheado]+CRLF+
'Transmitido '+filme.datapub[ultfolheado]+CRLF+
'URL: '+filme.paginaweb[ultfolheado]+CRLF+
'Visualizaes: '+filme.visto[ultfolheado]+CRLF+
'Descrio:'+CRLF+X;

delete(x,length(x)-1,2);
putclipboard(pchar(x));
sintwriteln('Descrio copiada para a rea de transferncia');
end;
end;

end.
